summaryrefslogtreecommitdiffstats
path: root/initramfs
diff options
context:
space:
mode:
authorDirk von Suchodoletz2007-02-26 16:28:32 +0100
committerDirk von Suchodoletz2007-02-26 16:28:32 +0100
commit7fb326f12698c20ea302e4a80cc4ff755050c83f (patch)
treecbd037e5a7d6e61e7f6a0337ad8c86f0cb643a06 /initramfs
parentnew exclude added for gentoo ld4-install (diff)
downloadcore-7fb326f12698c20ea302e4a80cc4ff755050c83f.tar.gz
core-7fb326f12698c20ea302e4a80cc4ff755050c83f.tar.xz
core-7fb326f12698c20ea302e4a80cc4ff755050c83f.zip
Bugfix for init/hwautocfg (waitfor), minor cleanups ...
git-svn-id: http://svn.openslx.org/svn/openslx/trunk@724 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'initramfs')
-rwxr-xr-xinitramfs/initrd-stuff/bin/hwautocfg14
-rw-r--r--initramfs/initrd-stuff/etc/functions1
-rw-r--r--initramfs/initrd-stuff/etc/messages1
-rwxr-xr-xinitramfs/initrd-stuff/init3
4 files changed, 11 insertions, 8 deletions
diff --git a/initramfs/initrd-stuff/bin/hwautocfg b/initramfs/initrd-stuff/bin/hwautocfg
index bfbbe59f..177dd866 100755
--- a/initramfs/initrd-stuff/bin/hwautocfg
+++ b/initramfs/initrd-stuff/bin/hwautocfg
@@ -307,12 +307,6 @@ for driver in ehci-hcd ohci1394; do
driverlist="${driverlist} ${driver}"; }
done
[ -x /bin/mdev ] && mdev -s &
-# remove unneeded network card and USB 1.1 modules
-for driver in ${NWMODULES} ohci-hcd uhci-hcd ; do
- strinfile " ${driver}" /tmp/hwsetup.info || {
- rmmod ${driver} &
- driverlist="${driverlist} ${driver}"; }
-done
# check for pcmcia / cardbus stuff
for driver in yenta_socket i82365 pd6729 tcic; do
strinfile " ${driver}" /tmp/hwsetup.info && {
@@ -335,7 +329,13 @@ fi
test -f /proc/bus/usb/devices || \
mount -n -t usbfs usbfs /proc/bus/usb 2>/dev/null
[ $DEBUGLEVEL -eq 21 ] && echo "** started 2nd hwdetection at $(sysup)"
-hwsetup -v > /tmp/hwsetup.info
+# remove unneeded network card and USB 1.1 modules
+for driver in ${NWMODULES} ohci-hcd uhci-hcd ; do
+ strinfile " ${driver}" /tmp/hwsetup.info || {
+ rmmod ${driver}
+ driverlist="${driverlist} ${driver}"; }
+done
+usleep 100 && hwsetup -v > /tmp/hwsetup.info
[ $DEBUGLEVEL -eq 21 ] && echo "** finished 2nd hwdetection at $(sysup)"
# load IDE high level drivers
diff --git a/initramfs/initrd-stuff/etc/functions b/initramfs/initrd-stuff/etc/functions
index 4dbaf746..0d852043 100644
--- a/initramfs/initrd-stuff/etc/functions
+++ b/initramfs/initrd-stuff/etc/functions
@@ -97,7 +97,6 @@ else
echo -e "${error_msg}${e_msg}${error_shell}"
# load usb modules to have keyboard enabled - they might have to be
# copied into initramfs with mkdxsinitramfs ...
- modprobe -a usbcore uhci-hcd ohci-hcd usbhid >/dev/null 2>&1
/bin/sh
echo -n "Reboot now? [y]"
exec < /dev/console > /dev/console
diff --git a/initramfs/initrd-stuff/etc/messages b/initramfs/initrd-stuff/etc/messages
index 1658aa4d..c176cb3f 100644
--- a/initramfs/initrd-stuff/etc/messages
+++ b/initramfs/initrd-stuff/etc/messages
@@ -82,6 +82,7 @@ after this file was created on server."
init_errcfg="of this client did not finish in\n time. You might check the \
process list and list the modules loaded until\n now."
init_errhw=" For some reason the hardware autoconfig $init_errcfg"
+init_errxorg=" For some reason no xorg.conf appeared"
init_errsw=" For some reason the software configuration $init_errcfg"
init_wait=" Waited $i ticks to unmount kernel module directory ..."
init_errumnt=" Unmount of the kernel modules directory \
diff --git a/initramfs/initrd-stuff/init b/initramfs/initrd-stuff/init
index cdd6ec79..d3881fc4 100755
--- a/initramfs/initrd-stuff/init
+++ b/initramfs/initrd-stuff/init
@@ -593,6 +593,9 @@ fi
waitfor /tmp/hwcfg 30000 || error "$init_errhw"
[ -f /tmp/scanner-udev ] && cat /tmp/scanner-udev \
>> /mnt/etc/udev/rules.d/04-scanner.rules
+# wait for completion of Xorg configuration and finalize it
+waitfor /tmp/xready 20000 || error "$init_errxorg" nonfatal
+cp /etc/xorg.conf /mnt/${D_XF86CONFFILE}
# wait a while for services setup to complete
waitfor /tmp/svcfg 20000 || error "$init_errsw"
# IP configuration is complete and should not be updated automatically